BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/InsideOut.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Data/Dumper.pm) perl(DateTime/Format/Strptime.pm) perl(ExtUtils/MakeMaker.pm) perl(Gtk2/Ex/DbLinker/DbTools.pm) perl(Log/Any/Adapter.pm) perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Log4perl.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Wx.pm) perl(parent.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Wx-Perl-DbLinker
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Wx gui building part of DbLinker.
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RA/RAPPAZF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module automates the process of tying data from a database to widgets on a xrc-generated form.

Steps for use:

=over

=item * 

Create a Gtk2::Ex::DbLinker::xxxDataManager object that contains the rows to display. Use DbiDataManager, RdbDataManager or DbcDataManager depending on how you access the database: sql commands and DBI, DBIx::Class or Rose::DB::Object

=item * 

Create xrc resource files to construct the gui: Wx windows and controls.
It is required that you name your widgets the same as the fields in your data source.


=item * 

Create a Wx::Perl:DbLinker::Wxform object that links the data and the gui 

=item *

Connect the buttons to methods that handle common actions such as inserting, moving, deleting, etc.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc README LICENSE Changes Todo
%perl_vendor_privlib/W*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- initial import by package builder

